from django.utils.translation import gettext_lazy

from django.db import models


class LogInputType(models.TextChoices):
    ARMAIF = "armaif", gettext_lazy("ARMA IF")
    ENDPOINT = "endpoint", gettext_lazy("ARMA Endpoint")


class AdjustDatetime(models.IntegerChoices):
    LOCAL = 1, gettext_lazy("Local")
    NOCHANGE = 2, gettext_lazy("Without changes")


class SensorType(models.TextChoices):
    ARMAIF = 'ARMAIF', gettext_lazy('ARMA IF')


class SensorScheme(models.TextChoices):
    HTTP = 'http', gettext_lazy('HTTP')
    HTTPS = 'https', gettext_lazy('HTTPS')


class SensorStatus(models.TextChoices):
    online = 'online', gettext_lazy('Online')
    offline = 'offline', gettext_lazy('Offline')
    unauthorized = 'unauthorized', gettext_lazy('Unauthorized')
    error = 'error', gettext_lazy('Error')